Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jcontrol.system
Class Accessory

    java.lang.Object
      java.lang.Thread
          jcontrol.system.Accessory

All Implemented Interfaces:
  Runnable

    public abstract class Accessory

extends Thread

Add your own in Java written Accessory to the JControl runtime environment.

Field Summary
`String` | `accessoryName` name of the accessory

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Constructor Summary
`Accessory(String name)` create a new accessory by overgiven name

Method Summary
`static void` | `register(Accessory accessory)` add the accessory to runtime environment
`void` | `run()` invokes the accessory run method
`abstract void` | `run(String[] args)` user implementation of accessory
`static void` | `unregister(Accessory accessory)` NOTE: not supported!

Methods inherited from class java.lang.Thread
`currentThread, finalize, getName, getPriority, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, setDaemon, setName, setPriority, start, yield`

Methods inherited from class java.lang.Object
`clone, equals, getClass, notifyAll, toString, wait`

Field Detail

### accessoryName

    public final String accessoryName

  name of the accessory

Constructor Detail

### Accessory

    public Accessory(String name)

  create a new accessory by overgiven name

  Parameters:
    `accessoryName` -

Method Detail

### run

    public final void run()

  invokes the accessory run method

  Specified by:
    `run` in interface `Runnable`
  Overrides:
    `run` in class `Thread`
  See Also:
    `Runnable.run()`

### run

    public abstract void run(String[] args)

  user implementation of accessory

  Parameters:
    `args` - overgiven arguments by user

### register

    public static void register(Accessory accessory)
                         throws IOException

  add the accessory to runtime environment

  Parameters:
    `applet` -
  Throws:
    `IOException` - - if an applet with this name already exists

### unregister

    public static void unregister(Accessory accessory)
                           throws IOException

  NOTE: not supported! remove the accessory from the runtime environment.

  Parameters:
    `applet` -
  Throws:
    `IOException` - - if an applet with this name not exists

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD